# 1. Record architecture decisions

Date: 2021-03-17

## Status

Accepted

## Context

We need to record the architectural decisions made on this project.

## Decision

We will use Architecture Decision Records, as [described by Michael Nygard](http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions).

We will store the ADRs in the ["engines-apps" GIT repository](https://source.tui/price-and-availability-service/application/engines-apps) under doc/architecture/decisions/NNNN-adrname.md

Git is used, as versioning is built-in, and this allows us to use existing tools like [adr-tools](https://github.com/npryce/adr-tools)

## Consequences

See Michael Nygard's article, linked above. For a lightweight ADR toolset, see Nat Pryce's [adr-tools](https://github.com/npryce/adr-tools).